<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.insurances.mapper.insurances.SysConfigMapper">

	<resultMap id="sysConfigLimitMap" type="com.yifu.cloud.plus.v1.yifu.insurances.entity.SysConfig">
		<id property="id" column="ID"/>
		<result property="configKey" column="CONFIG_KEY"/>
		<result property="configValue" column="CONFIG_VALUE"/>
		<result property="configValue1" column="CONFIG_VALUE_1"/>
		<result property="configValue2" column="CONFIG_VALUE_2"/>
		<result property="remark" column="REMARK"/>
	</resultMap>
	<!-- 根据key获取value -->
	<select id="getSysConfigLimitByKey" resultType="com.yifu.cloud.plus.v1.yifu.insurances.entity.SysConfig">
		SELECT a.CONFIG_VALUE,CONFIG_VALUE_1,CONFIG_VALUE_2
		FROM sys_config a
		where a.CONFIG_KEY = #{configKey} limit 1
	</select>
</mapper>
